Subject: bug#13648: 24.3.50; remove-overlays bugs

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Feb 2013 20:45:32 -0500

> Damn, I get tripped up by that a lot.  And the fact that the empty
> string is an exception doesn't help to keep the difference in mind.
> Still, it is rather cumbersome to include appropriate let-bindings or
> calls to overlay-get for each string value in each use of
> remove-overlays, as opposed to adding a single equal-check to that.

Generally the best solution is very different: add another property to
every overlay.  E.g. smerge adds the property `smerge' with values like
`conflict' or `refine', so you can then (remove-overlays beg end
'smerge 'refine) without caring about particular values of
`after-string' or any other property.

        Stefan